<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [FileChooser](./puppeteer.filechooser.md) &gt; [accept](./puppeteer.filechooser.accept.md)

## FileChooser.accept() method

Accept the file chooser request with given paths.

<b>Signature:</b>

```typescript
accept(filePaths: string[]): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  filePaths | string\[\] | If some of the <code>filePaths</code> are relative paths, then they are resolved relative to the [current working directory](https://nodejs.org/api/process.html#process_process_cwd)<!-- -->. |

<b>Returns:</b>

Promise&lt;void&gt;

